apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  labels:
    team: calamari
    system: gitops
  name: argocd-openshift-gitops
  namespace: openshift-gitops
spec:
  destination:
    namespace: openshift-gitops
    server: https://kubernetes.default.svc
  project: calamari
  source:
    repoURL: https://gitlab.com/arbetsformedlingen/devops/argocd-infra.git
    targetRevision: main
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
    - CreateNamespace=false
